net.corda.node.services.config

## Class NodeConfiguration.DefaultImpls

- net.corda.node.services.config.NodeConfiguration.DefaultImpls

- Enclosing interface:
    NodeConfiguration

      public static class NodeConfiguration.DefaultImpls

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.nio.file.Path` | `getCertificatesDirectory(NodeConfiguration $this)`
    `static java.util.Properties` | `getDataSourceProperties(NodeConfiguration $this)`
    `static java.nio.file.Path` | `getKeyStoreFile(NodeConfiguration $this)`
    `static java.util.List<net.corda.node.services.User>` | `getRpcUsers(NodeConfiguration $this)`
    `static java.nio.file.Path` | `getTrustStoreFile(NodeConfiguration $this)`

- - ### Method Detail

    - #### getCertificatesDirectory

          public static java.nio.file.Path getCertificatesDirectory(NodeConfiguration $this)

    - #### getDataSourceProperties

          public static java.util.Properties getDataSourceProperties(NodeConfiguration $this)

    - #### getRpcUsers

          public static java.util.List<net.corda.node.services.User> getRpcUsers(NodeConfiguration $this)

    - #### getKeyStoreFile

          public static java.nio.file.Path getKeyStoreFile(NodeConfiguration $this)

    - #### getTrustStoreFile

          public static java.nio.file.Path getTrustStoreFile(NodeConfiguration $this)